{*cookieLista*}
<section class="cookie-icon-wrapper {if $setting != null}active{/if}">
    <a type="button" class="cookie-icon" id="cookie-icon"><i class="fa-solid fa-cookie-bite"></i></a>
</section>
<section id="cookie-banner" class="{if $setting == null}active{/if}">
    <div class="cookie-box container" id="cookie-tabs">
        <div class="cookie-box-header">
            <div class="title">
                DEMO stránky
            </div>
        </div>
        <ul class="cookie-box-nav">
            <li>
                <a class="tabs-tigger active" type="button" data-target="cookie">Souhlas</a>
            </li>
            <li>
                <a class="tabs-tigger" type="button" data-target="cookie-set">Nastavení</a>
            </li>
            <li>
                <a class="tabs-tigger" type="button" data-target="cookie-info">Více o cookie</a>
            </li>
        </ul>
        <div class="cookie-box-body">
            {*zákl. info cookie*}
        <div class="tabs active" id="cookie" data-parent="cookie-tabs">
            <div class="fs-2 fw-bold mb-2">
                Tato webová stránka používá cookies
            </div>
            <p class="bg-white-50 text-dark p-3 mb-3">
                Cookies nám pomáhají zlepšovat uživatelskou zkušenost našeho webu. Používáme je k anonymní analýze návštěvnosti
                a chování na webu, personalizaci obsahu, nebo cílení reklamy. Data o využívání našeho webu můžeme s
                Vaším souhlasem posílat i do systémů našich partnerů, abychom mohli plně využívat jejich nástroje.
                Partneři tyto údaje mohou zkombinovat s dalšími informacemi, které jste jim poskytli nebo které získali v
                důsledku toho, že používáte jejich služby. Více informací najdete v našich <a href="#">zásadách ochrany osobních údajů</a>.
            </p>
            <div class="cookie-btn-wrapper">
                <button class="btn btn-secondary tabs-tigger" type="button" data-target="cookie-set"><i class="fas fa-cog me-2"></i>Nastavení</button>
                <a n:href="cookieSet! 'all'" class="btn btn-success">Povolit vše</a>
            </div>
        </div>
        {*nastavení cookie*}
        <div class="tabs" id="cookie-set" data-parent="cookie-tabs">
            <div class="card mb-3">
                <div class="card-header bg-info">
                    <div class="card-title">
                        Nezbytné cookies
                    </div>
                </div>
                <div class="card-body bg-white-50 text-dark">
                    <p class="mb-3">
                        Nezbytné cookies pomáhají, aby byla webová stránka použitelná tak, že umožní základní funkce jako
                        navigace stránky nebo zobrazení správného obsahu. Webová stránka nemůže správně fungovat bez těchto cookies.
                    </p>
                    <div class="mb-3">
                        <b>_csid</b>
                        <p>
                            Identifikátor pro nastavení cookie souborů.
                        </p>
                    </div>
                    <div class="mb-3">
                        <b>_nss</b>
                        <p>
                            Zajišťuje bezpečnost procházení návštěvníků tím, že zabraňuje padělání požadavků mezi stránkami.
                            Tento soubor cookie je nezbytný pro bezpečnost webu a návštěvníka.
                        </p>
                    </div>
                    <div>
                        <b>PHPSESSID</b>
                        <p>
                            Technická cookies. Obecný identifikátor používaný k udržování proměnných uživatelských relací.
                        </p>
                    </div>
                </div>
            </div>
            <div class="card mb-3">
                <div class="card-header bg-info">
                    <div class="card-title">
                        Statistické cookies
                    </div>
                </div>
                <div class="card-body bg-white-50 text-dark">
                    <p class="mb-3">
                        Statistické cookies nám pomáhají pochopit, jak uživatelé používají náš web. Sbírají anonymní data, které pak můžeme analyzovat.
                    </p>
                    <div>
                        <b>_ga</b>
                        <p>
                            Registruje jedinečné ID, které se používá ke generování statistických údajů o tom, jak návštěvník používá webovou stránku.
                        </p>
                    </div>
                </div>
            </div>
            <div class="cookie-btn-wrapper">
                <a n:href="cookieSet! 'basic'" class="btn btn-primary">Odmítnout vše kromě nezbytných</a>
                <a n:href="cookieSet! 'all'" class="btn btn-success">Povolit vše</a>
            </div>
        </div>
        {*informace o cookie*}
            <div class="tabs" id="cookie-info" data-parent="cookie-tabs">
                <div class="bg-white-50 text-dark p-3 mb-3">
                    <p class="mb-3">
                        Cookies jsou malé textové soubory, které mohou být používány webovými stránkami, aby učinily uživatelský zážitek více efektivní.
                    </p>
                    <p class="mb-3">
                        Zákon uvádí, že můžeme ukládat cookies na vašem zařízení, pokud jsou nezbytně nutné pro provoz této stránky.
                        Pro všechny ostatní typy cookies potřebujeme vaše povolení.
                    </p>
                    <p class="mb-3">
                        Tato stránka používá různé typy cookies. Některé cookies jsou umístěny službami třetích stran, které se objevují na našich stránkách.
                    </p>
                    <p>
                        Kdykoliv můžete změnit nebo zrušit svůj souhlas prostřednictvím odkazu umístěném v levém dolním rohu.
                    </p>
                </div>
                <div class="cookie-btn-wrapper">
                    <button class="btn btn-success">Povolit vše</button>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    var cookieButton = document.getElementById('cookie-icon');
    var iconWrapper = document.querySelector('.cookie-icon-wrapper');
    var cookieBanner = document.getElementById('cookie-banner');

    cookieButton.addEventListener('click', (event) => {
        iconWrapper.classList.remove('active');
        cookieBanner.classList.add('active');
    });
</script>